#
# Conditional build:
%bcond_with	apidocs		# API documentation

Summary:	Theora - video codec intended for use within Ogg multimedia streaming system
Summary(pl.UTF-8):	Theora - kodek obrazu do używania w systemie strumieni multimedialnych Ogg
Name:		libtheora
Version:	1.2.0
Release:	1%{?tld}
License:	BSD-like
Group:		Libraries
Source0:	https://downloads.xiph.org/releases/theora/%{name}-%{version}.tar.xz
# Source0-md5:	ec64ed07bffb5f45dca0ae7faa68f814
URL:		https://www.theora.org/
BuildRequires:	SDL-devel
BuildRequires:	autoconf >= 2.71
BuildRequires:	automake >= 1:1.11
BuildRequires:	libogg-devel >= 2:1.3.4
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	libvorbis-devel >= 1:1.0.1
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	tetex-format-pdflatex
BuildRequires:	tetex-latex-bibtex
BuildRequires:	tetex-latex-ltablex
BuildRequires:	transfig
%endif
Requires:	libogg >= 2:1.3.4
Requires:	libvorbis >= 1:1.0.1
Provides:	libtheora-mmx
Obsoletes:	libtheora-mmx < 1.0-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Theora is Xiph.Org's first publicly released video codec, intended for
use within the Ogg's project's Ogg multimedia streaming system. Theora
is derived directly from On2's VP3 codec; Currently the two are nearly
identical, varying only in framing headers, but Theora will diverge
and improve from the main VP3 development lineage as time progresses.

%description -l pl.UTF-8
Theora to pierwszy publicznie wypuszczony przez Xiph.Org kodek obrazu,
mający być używany w systemie strumieni multimedialnych Ogg. Theora
wywodzi się bezpośrednio z kodeka VP3 On2. Aktualnie oba są prawie
identyczne, różnią się jedynie nagłówkami ramek, ale Theora będzie się
coraz bardziej rozwijać w stosunku do VP3.

%package devel
Summary:	Header files for Theora library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Theora
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libogg-devel >= 2:1.3.4
Provides:	libtheora-mmx-devel
Obsoletes:	libtheora-mmx-devel < 1.0-1

%description devel
Header files for Theora library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Theora.

%package static
Summary:	Static Theora library
Summary(pl.UTF-8):	Statyczna biblioteka Theora
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	libtheora-mmx-static
Obsoletes:	libtheora-mmx-static < 1.0-1

%description static
Static Theora library.

%description static -l pl.UTF-8
Statyczna biblioteka Theora.

%package apidocs
Summary:	API documentation for Theora library
Summary(pl.UTF-8):	Dokumentacja API biblioteki Theora
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for Theora library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Theora.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}
%if %{with apidocs}
%{__make} -C doc/spec
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=%{_docdir}/libtheora-docs

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libtheora*.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libtheora-docs

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES COPYING LICENSE README.md
%attr(755,root,root) %{_libdir}/libtheora.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtheora.so.1
%attr(755,root,root) %{_libdir}/libtheoradec.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtheoradec.so.2
%attr(755,root,root) %{_libdir}/libtheoraenc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtheoraenc.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtheora.so
%attr(755,root,root) %{_libdir}/libtheoradec.so
%attr(755,root,root) %{_libdir}/libtheoraenc.so
%{_includedir}/theora
%{_pkgconfigdir}/theora.pc
%{_pkgconfigdir}/theoradec.pc
%{_pkgconfigdir}/theoraenc.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libtheora.a
%{_libdir}/libtheoradec.a
%{_libdir}/libtheoraenc.a

%files apidocs
%defattr(644,root,root,755)
%doc doc/{color.html,draft-ietf-avt-rtp-theora-00.txt,vp3-format.txt} doc/libtheora/html doc/spec/Theora.pdf
%changelog
* Sun May 18 2025 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libtheora.git;a=log;h=master

* Fri May 16 2025 Jakub Bogusz <qboosh@pld-linux.org> 2f9b321
- versioned Obsoletes

* Fri May 16 2025 Jakub Bogusz <qboosh@pld-linux.org> 4dc2e1b
- updated to 1.2.0 (new sonames)

* Fri May 16 2025 Jakub Bogusz <qboosh@pld-linux.org> 432712f
- use patch -P

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> f1a9b33
- x32 rebuild
- release 3 (by relup.sh)

* Tue Dec 30 2014 Jan Rękorajski <baggins@pld-linux.org> 69b7c71
- fix eambple program linking
- fix building with libpng 1.6
- disable unresolved symbols check, libriaries are interlinked in weird way

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> c46ac38
- release 2

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> 61f6991
- apidocs off for ac

* Sun Oct 04 2009 Artur Frysiak <artur@frysiak.net> 32199ac
- updated to 1.1.1

* Sat Sep 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 13aa851
- up to 1.1.0

* Mon Nov 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 3d73a4c
- updated to 1.0 final
- release 2

* Thu Oct 30 2008 Jakub Bogusz <qboosh@pld-linux.org> af4df59
- -devel R: libogg-devel

* Wed Oct 29 2008 Jakub Bogusz <qboosh@pld-linux.org> e94fc7b
- updated to 1.0RC2
- removed obsolete x86_64 patch

* Wed Oct 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 6922f6b
- obsolete (in sources)

* Thu Oct 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> befba24
- rel 2; fix build on x86_64

* Thu Oct 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> adc564c
- missing file

* Wed Oct 08 2008 Jakub Bogusz <qboosh@pld-linux.org> 4194074
- release 1.RC1.1 (RC < beta)

* Wed Oct 08 2008 Jakub Bogusz <qboosh@pld-linux.org> a0644e6
- updated to 1.0RC1

* Sat May 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 7ab0321
- updated to 1.0beta3 (theora-exp libs merged)

* Thu Nov 01 2007 Jakub Bogusz <qboosh@pld-linux.org> f43b461
- updated to 1.0beta2

* Mon Oct 29 2007 Szymon Siwek <sls@pld-linux.org> f705e48
- BR: tetex-latex-bibtex

